### Method

# Gcr Parser add_password

#### Declaration [src]

    void
    gcr_parser_add_password (
      GcrParser* self,
      const gchar* password
    )

#### Description [src]

Add a password to the set of passwords to try when parsing locked or encrypted items. This is usually called from the `GcrParser::authenticate` signal.

#### Parameters

`password`

  Type: `const gchar*`

  A password to try.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.